Package org.kie.api.conf

## Enum DeclarativeAgendaOption

- java.lang.Object
- - java.lang.Enum<DeclarativeAgendaOption>
  - - org.kie.api.conf.DeclarativeAgendaOption

- All Implemented Interfaces:
    `Serializable`, `Comparable<DeclarativeAgendaOption>`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`

      public enum DeclarativeAgendaOption
      extends Enum<DeclarativeAgendaOption>
      implements SingleValueKieBaseOption

  An enum to enable Declarative Agenda option. This is an experimental feature.

       drools.declarativeAgenda = <true|false>

  DEFAULT = false.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `ENABLED` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` | The property name for the L and R Unlinking option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DeclarativeAgendaOption` | `determineDeclarativeAgenda​(String option)` |
    `String` | `getPropertyName()`
    `boolean` | `isDeclarativeAgendaEnabled()` |
    `static DeclarativeAgendaOption` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DeclarativeAgendaOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final DeclarativeAgendaOption ENABLED

    - #### DISABLED

          public static final DeclarativeAgendaOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the L and R Unlinking option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static DeclarativeAgendaOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeclarativeAgendaOption c : DeclarativeAgendaOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeclarativeAgendaOption valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### isDeclarativeAgendaEnabled

          public boolean isDeclarativeAgendaEnabled()

    - #### determineDeclarativeAgenda

          public static DeclarativeAgendaOption determineDeclarativeAgenda​(String option)